Bug 230145 - devel/boehm-gc: enable static libraries
Summary: devel/boehm-gc: enable static libraries
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Yuri Victorovich
URL:
Keywords:
Depends on:
Blocks: 231660
  Show dependency treegraph
 
Reported: 2018-07-29 12:09 UTC by Greg V
Modified: 2018-11-06 18:06 UTC (History)
3 users (show)

See Also:


Attachments
boehm-static.patch (1.71 KB, patch)
2018-07-29 12:09 UTC, Greg V
no flags Details | Diff
boehm-static.patch v2 (1.80 KB, patch)
2018-07-30 11:22 UTC, Greg V
no flags Details | Diff
updated patch file (1.88 KB, patch)
2018-09-26 04:38 UTC, Yasuhiro KIMURA
yasu: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Greg V 2018-07-29 12:09:50 UTC
Created attachment 195587 [details]
boehm-static.patch

To build static binaries with lang/crystal, we need the static version of libgc-threaded. This patch enables packaging static boehm libs.
Comment 1 Yuri Victorovich freebsd_committer 2018-07-30 00:49:54 UTC
You may want to add a comment to Makefile explaining why static libs are installed. Otherwise somebody might submit a patch that deletes them.
Comment 2 Greg V 2018-07-30 11:22:22 UTC
Created attachment 195629 [details]
boehm-static.patch v2

oh okay.
Comment 3 Yasuhiro KIMURA 2018-09-26 04:38:41 UTC
Created attachment 197503 [details]
updated patch file

I updated patch to make it fit to latest ports tree.
So please commit it instead of previous one.
Comment 4 Igor Konov 2018-09-26 10:11:35 UTC
(In reply to Yasuhiro KIMURA from comment #3)

Update in the ports tree is not yet available.
When will it appear?
Comment 5 Greg V 2018-11-06 17:43:36 UTC
ping. There's maintainer-approval+ but still no commit
Comment 6 Yuri Victorovich freebsd_committer 2018-11-06 18:06:46 UTC
Committed, thanks!
Comment 7 commit-hook freebsd_committer 2018-11-06 18:06:55 UTC
A commit references this bug:

Author: yuri
Date: Tue Nov  6 18:06:25 UTC 2018
New revision: 484314
URL: https://svnweb.freebsd.org/changeset/ports/484314

Log:
  devel/boehm-gc: enable static libraries

  PR:		230145
  Submitted by:	Greg V <greg@unrelenting.technology>
  Approved by:	yasu@utahime.org (maintainer)

Changes:
  head/devel/boehm-gc/Makefile
  head/devel/boehm-gc/pkg-plist